The Shillien Elder uses Healing Magic mainly, and various Supplementary Magic together. Because they differ from the Human Bishop or Prophet, who incline to one side, they are useful in a small party.
They have basic skills such as various Healing Magic and Supplementary Magic such as increasing the hit rate and basic abilities.
To be a Shillien Elder, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Fate, and the Mark of the Reformer.
Ask about marks.
Return